Bug Hunting Session
Bug 94386 - Envelope style inserted in document overwrites default style when saving as DOC or DOCX
Summary: Envelope style inserted in document overwrites default style when saving as D...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-20 18:42 UTC by gplondon
Modified: 2016-09-19 16:15 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
This file was saved with a C4 envelope followed by an A4 page. On re-opening, all formatting is C5 (10.50 KB, application/msword)
2015-09-20 18:42 UTC, gplondon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gplondon 2015-09-20 18:42:57 UTC
Created attachment 118884 [details]
This file was saved with a C4 envelope followed by an A4 page. On re-opening, all formatting is C5

LibreOffice - Writer v4.4.5.2. On Windows 8.1

1. Open a new document (say A4, default style)
2. Insert an envelope and type some text in it (Writer will have inserted a page in "envelope" style and a page break before the first page in "default" style)
3. Type some text in the first A4 page.
4. Save the document in DOC or DOCX format, and close it.
5. Open the document and you will find that the A4 page has taken on the page formatting of the envelope, and the default style has been overwritten with that formatting. Any header or footer text will have been permanently lost.

This problem doesn't exist if you save in ODT format.
Comment 1 Cor Nouws 2015-09-20 19:30:27 UTC
hi gplondon,

Thanks for reporting. This is a known problem (must be some duplicates).
You con solve it for your case by inserting a Manual break with page style at the top of the second page.

Cheers - Cor
Comment 2 gplondon 2015-09-21 08:28:01 UTC
Thanks, Cor. I did try looking for duplicates before posting, but didn't see any. Good to hear it's known. Thanks for the work-around which does the trick, though it's a bit confusing when using a single page letter template with a header:- When you add that extra page break you get a blank page 2 with your header on it and your letter (now page 3) appears to have no header. However when you reopen the file it all comes right - the blank page takes the envelope style and the header is on your letter page.

Would be good to see it fixed.

Graham
Comment 3 Commit Notification 2015-10-05 11:09:44 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d65149d252b9daf6f4ee40aa94d0d150dab4948

tdf#94386 set page style at page breaks behind evelopes

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-10-13 09:09:43 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b630f9a36a844f46757abb6ce16fa7cd527a4341

tdf#94386: Unit test stub - emulates the steps to trigger the bug.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-10-13 13:21:24 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b7a5dcdbe25b875718230027ae3ae802bbc60bd0

tdf#94386: Unit test - add forgotten test document.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-10-23 07:41:09 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8110b255990baf650373dd88ef17390952a788a6

tdf#94386: envelope unit test completed

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-10-26 06:11:05 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5bc759b3ad86ce3c413707b740028cf88364b4da

tdf#94386: Small stylistic change based on gerrit#19371 comments.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2016-09-15 22:21:20 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?